Bug 14125 - Anaconda Crashes
Anaconda Crashes
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: anaconda (Show other bugs)
1.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-17 12:26 EDT by Andri Saar
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-17 16:33:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andri Saar 2000-07-17 12:26:15 EDT
Hi,

tried to perform a upgrade over the network. All just goes fine, it mounts 
the filesystems and when anaconda tries to find packages to upgrade it 
crashes with the following messages (wow, nice Exception Occurred box ;)):

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 423, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1000, in run
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 265, in 
__call__
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 871, in 
upgradeFindPackages
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 515, in 
getCompsList
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 509, in 
getHeaderList
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/urlinstall.py", line 65, 
in readHeaders
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/log.py", line 23, in 
__call__
TypeError: illegal argument type for built-in operation


The box I tried to upgrade is RH6.2, but many packages are self-hacked and 
upgraded.
Comment 1 Michael Fulbright 2000-08-17 16:33:51 EDT
This has been fixed in the latest internal releases.

Note You need to log in before you can comment on or make changes to this bug.